<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   close="titlewindowCloseHandler(event)"  
			   creationComplete="creationCompleteHandler(event)" 
			   title="Cadastro de Item Nota Cofins NFe"
			  maxWidth="1200" maxHeight="700"  
			   xmlns:visual="br.com.desenv.framework.component.visual.*"   xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
			   
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	
	<fx:Metadata>
		[Event(name="ItemNotaCofinsNfeIncluidoEvent")]
		[Event(name="ItemNotaCofinsNfeAtualizadoEvent")]
		[Event(name="ItemNotaCofinsNfeExcluidoEvent")]
		[Event(name="ItemNotaCofinsNfeSelecionadoEvent")]
		
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			
			import mx.controls.DateField;
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			import spark.events.TitleWindowBoundsEvent;
			
			import br.com.desenv.nepalign.vo.ItemNotaCofinsNfe;
			
			import br.com.desenv.nepalign.vo.ItemNotaFiscal;
			// Alguem passa a objeto para ca
			public var itemNotaCofinsNfe : ItemNotaCofinsNfe = new ItemNotaCofinsNfe();
			
			[Bindable]
			private var listaItemNotaFiscal: ArrayCollection = new ArrayCollection();

			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
// ---------------------------------- FUNCOES DE INICIALIZACAO E FINALIZACAO --------------------------------			
			
			
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			// Indica todas as validacoes necessarias
			private function carregarListaValidacao(): void
			{
				//implemente aqui outros validadores se necessario
			}
			
			private function limparListaCampo(): void
			{
// Lupa
				ignAutoCompleteItemNotaFiscal.limpar();
				ignTextInputIntegerCodigoCSTCOFINS.text = "";
				ignTextInputDoubleValorBaseCalcCOFINS.text = "";
				ignTextInputDoubleAliquotaCOFINS.text = "";
				ignTextInputDoubleQuantVendida.text = "";
				ignTextInputDoubleAliquotaCOFINSValor.text = "";
				ignTextInputDoubleValorCOFINS.text = "";
				ignTextInputDoubleValorBaseCalcCOFINSST.text = "";
				ignTextInputDoubleAliquotaCOFINSST.text = "";
				ignTextInputDoubleQuanVendidaCOFINSST.text = "";
				ignTextInputDoubleAliquotaCONFINSValorST.text = "";
				ignTextInputDoubleValorCOFINSST.text = "";
			}
			
			// Chama ao completar o carregamento da pagina
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				
				
				// Se e um novo cadastro
				if (isNaN(this.itemNotaCofinsNfe.id))
				{
					limparListaCampo();
				}
				// Se alguem passou o objeto
				else
				{

					if (this.itemNotaCofinsNfe.itemNotaFiscal != null)
					{
						ignAutoCompleteItemNotaFiscal.itemSelecionado = itemNotaCofinsNfe.itemNotaFiscal;
					}
					ignTextInputIntegerCodigoCSTCOFINS.text = this.itemNotaCofinsNfe.codigoCSTCOFINS.toString();

					ignTextInputDoubleValorBaseCalcCOFINS.text = this.itemNotaCofinsNfe.valorBaseCalcCOFINS == 0.0?"":this.itemNotaCofinsNfe.valorBaseCalcCOFINS.toString().replace(".", ",");

					ignTextInputDoubleAliquotaCOFINS.text = this.itemNotaCofinsNfe.aliquotaCOFINS == 0.0?"":this.itemNotaCofinsNfe.aliquotaCOFINS.toString().replace(".", ",");

					ignTextInputDoubleQuantVendida.text = this.itemNotaCofinsNfe.quantVendida == 0.0?"":this.itemNotaCofinsNfe.quantVendida.toString().replace(".", ",");

					ignTextInputDoubleAliquotaCOFINSValor.text = this.itemNotaCofinsNfe.aliquotaCOFINSValor == 0.0?"":this.itemNotaCofinsNfe.aliquotaCOFINSValor.toString().replace(".", ",");

					ignTextInputDoubleValorCOFINS.text = this.itemNotaCofinsNfe.valorCOFINS == 0.0?"":this.itemNotaCofinsNfe.valorCOFINS.toString().replace(".", ",");

					ignTextInputDoubleValorBaseCalcCOFINSST.text = this.itemNotaCofinsNfe.valorBaseCalcCOFINSST == 0.0?"":this.itemNotaCofinsNfe.valorBaseCalcCOFINSST.toString().replace(".", ",");

					ignTextInputDoubleAliquotaCOFINSST.text = this.itemNotaCofinsNfe.aliquotaCOFINSST == 0.0?"":this.itemNotaCofinsNfe.aliquotaCOFINSST.toString().replace(".", ",");

					ignTextInputDoubleQuanVendidaCOFINSST.text = this.itemNotaCofinsNfe.quanVendidaCOFINSST == 0.0?"":this.itemNotaCofinsNfe.quanVendidaCOFINSST.toString().replace(".", ",");

					ignTextInputDoubleAliquotaCONFINSValorST.text = this.itemNotaCofinsNfe.aliquotaCONFINSValorST == 0.0?"":this.itemNotaCofinsNfe.aliquotaCONFINSValorST.toString().replace(".", ",");

					ignTextInputDoubleValorCOFINSST.text = this.itemNotaCofinsNfe.valorCOFINSST == 0.0?"":this.itemNotaCofinsNfe.valorCOFINSST.toString().replace(".", ",");

				}
			}
			
			
			
			
			// Chama quando fecha a janela no X
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- SALVAR E ATUALIZAR  --------------------------------	
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					// Se e alteracao
					if (isNaN(itemNotaCofinsNfe.id) == false) 
					{
						//itemNotaCofinsNfe.itemNotaFiscal = // Carregado via popup	
						itemNotaCofinsNfe.itemNotaFiscal = ignAutoCompleteItemNotaFiscal.itemSelecionado as ItemNotaFiscal;			
						itemNotaCofinsNfe.codigoCSTCOFINS =  ignTextInputIntegerCodigoCSTCOFINS.text == ""?NaN:parseInt(ignTextInputIntegerCodigoCSTCOFINS.text);
						itemNotaCofinsNfe.valorBaseCalcCOFINS =  ignTextInputDoubleValorBaseCalcCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleValorBaseCalcCOFINS.text.replace(",", "."));
						itemNotaCofinsNfe.aliquotaCOFINS =  ignTextInputDoubleAliquotaCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINS.text.replace(",", "."));
						itemNotaCofinsNfe.quantVendida =  ignTextInputDoubleQuantVendida.text == ""?NaN:parseFloat(ignTextInputDoubleQuantVendida.text.replace(",", "."));
						itemNotaCofinsNfe.aliquotaCOFINSValor =  ignTextInputDoubleAliquotaCOFINSValor.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINSValor.text.replace(",", "."));
						itemNotaCofinsNfe.valorCOFINS =  ignTextInputDoubleValorCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleValorCOFINS.text.replace(",", "."));
						itemNotaCofinsNfe.valorBaseCalcCOFINSST =  ignTextInputDoubleValorBaseCalcCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleValorBaseCalcCOFINSST.text.replace(",", "."));
						itemNotaCofinsNfe.aliquotaCOFINSST =  ignTextInputDoubleAliquotaCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINSST.text.replace(",", "."));
						itemNotaCofinsNfe.quanVendidaCOFINSST =  ignTextInputDoubleQuanVendidaCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleQuanVendidaCOFINSST.text.replace(",", "."));
						itemNotaCofinsNfe.aliquotaCONFINSValorST =  ignTextInputDoubleAliquotaCONFINSValorST.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCONFINSValorST.text.replace(",", "."));
						itemNotaCofinsNfe.valorCOFINSST =  ignTextInputDoubleValorCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleValorCOFINSST.text.replace(",", "."));
						var remoteObjectAtualizar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("itemNotaCofinsNfeService", atualizarResultHandler);	
						remoteObjectAtualizar.getOperation("atualizar").send(itemNotaCofinsNfe); 
					// Se e inclusao
					} 
					else 
					{
						itemNotaCofinsNfe.codigoCSTCOFINS =  ignTextInputIntegerCodigoCSTCOFINS.text == ""?NaN:parseInt(ignTextInputIntegerCodigoCSTCOFINS.text);

						itemNotaCofinsNfe.valorBaseCalcCOFINS =  ignTextInputDoubleValorBaseCalcCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleValorBaseCalcCOFINS.text.replace(",", "."));

						itemNotaCofinsNfe.aliquotaCOFINS =  ignTextInputDoubleAliquotaCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINS.text.replace(",", "."));

						itemNotaCofinsNfe.quantVendida =  ignTextInputDoubleQuantVendida.text == ""?NaN:parseFloat(ignTextInputDoubleQuantVendida.text.replace(",", "."));

						itemNotaCofinsNfe.aliquotaCOFINSValor =  ignTextInputDoubleAliquotaCOFINSValor.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINSValor.text.replace(",", "."));

						itemNotaCofinsNfe.valorCOFINS =  ignTextInputDoubleValorCOFINS.text == ""?NaN:parseFloat(ignTextInputDoubleValorCOFINS.text.replace(",", "."));

						itemNotaCofinsNfe.valorBaseCalcCOFINSST =  ignTextInputDoubleValorBaseCalcCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleValorBaseCalcCOFINSST.text.replace(",", "."));

						itemNotaCofinsNfe.aliquotaCOFINSST =  ignTextInputDoubleAliquotaCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCOFINSST.text.replace(",", "."));

						itemNotaCofinsNfe.quanVendidaCOFINSST =  ignTextInputDoubleQuanVendidaCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleQuanVendidaCOFINSST.text.replace(",", "."));

						itemNotaCofinsNfe.aliquotaCONFINSValorST =  ignTextInputDoubleAliquotaCONFINSValorST.text == ""?NaN:parseFloat(ignTextInputDoubleAliquotaCONFINSValorST.text.replace(",", "."));

						itemNotaCofinsNfe.valorCOFINSST =  ignTextInputDoubleValorCOFINSST.text == ""?NaN:parseFloat(ignTextInputDoubleValorCOFINSST.text.replace(",", "."));

						var remoteObjectSalvar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("itemNotaCofinsNfeService", salvarResultHandler);	
						remoteObjectSalvar.getOperation("salvar").send(itemNotaCofinsNfe); 
					}
				}	
			}

			
			// Depois que salva fecha a janela
			private function salvarResultHandler( event: ResultEvent ): void 
			{
				this.itemNotaCofinsNfe = event.result as ItemNotaCofinsNfe;
				this.dispatchEvent(new ResultEvent("ItemNotaCofinsNfeIncluidoEvent",false, true, this.itemNotaCofinsNfe, null, null));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			// Depois que atualiza fecha a janela
			private function atualizarResultHandler( event: ResultEvent ): void 
			{
				this.itemNotaCofinsNfe = event.result as ItemNotaCofinsNfe;
				this.dispatchEvent(new Event("ItemNotaCofinsNfeAtualizadoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
// ---------------------------------- LIMPAR  --------------------------------	
			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				limparListaCampo();
			}
						
// ---------------------------------- ADICIONAR DINAMICAMENTE  --------------------------------				
			protected function buttonPesquisarItemNotaFiscal_clickHandler(event:MouseEvent):void
			{
				var itemNotaFiscalComponentePesquisa: ItemNotaFiscalComponentePesquisa = new ItemNotaFiscalComponentePesquisa();
				itemNotaFiscalComponentePesquisa.addEventListener("ItemNotaFiscalSelecionadoEvent", atualizarItemNotaFiscalPorSelecaoResultHandler);
				UPCPopUpManager.instance.addPopUp(itemNotaFiscalComponentePesquisa, this, true);
				UPCPopUpManager.instance.centerWindow(itemNotaFiscalComponentePesquisa);
			}
			
			private function atualizarItemNotaFiscalPorSelecaoResultHandler(e:ResultEvent):void
			{
				var novoItemNotaFiscal: ItemNotaFiscal = e.result as ItemNotaFiscal;
				ignAutoCompleteItemNotaFiscal.itemSelecionado = novoItemNotaFiscal;
			}

			protected function buttonAdicionarItemNotaFiscal_clickHandler(event:MouseEvent):void
			{
				var itemNotaFiscalComponenteCadastro: ItemNotaFiscalComponenteCadastro = new ItemNotaFiscalComponenteCadastro();
				itemNotaFiscalComponenteCadastro.addEventListener("ItemNotaFiscalIncluidoEvent", atualizarItemNotaFiscalPorInclusaoResultHandler);
				UPCPopUpManager.instance.addPopUp(itemNotaFiscalComponenteCadastro, this, true);
				UPCPopUpManager.instance.centerWindow(itemNotaFiscalComponenteCadastro);
			}
			
			private function atualizarItemNotaFiscalPorInclusaoResultHandler(e:ResultEvent):void
			{
				var novoItemNotaFiscal: ItemNotaFiscal = e.result as ItemNotaFiscal;
				ignAutoCompleteItemNotaFiscal.itemSelecionado = novoItemNotaFiscal;
			}

			
// ---------------------------------- PESQUISAR AUTOR ABRINDO A LISTA  --------------------------------				
		]]>
	</fx:Script>
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
		<!-- <mx:Validator id="validatorObrigatorioSituacaoItemNotaCofinsNfe" property="selectedItem" required="true" source="{comboBoxSituacaoItemNotaCofinsNfe}" trigger="{comboBoxSituacaoItemNotaCofinsNfe}" triggerEvent="valueCommit"/> -->
		

		<s:ArrayCollection id="listaOpcaoSimNao">
			<fx:Object codigo="" valor=""/>
			<fx:Object codigo="S" valor="Sim"/>
			<fx:Object codigo="N" valor="Nao"/>
		</s:ArrayCollection>
					
	</fx:Declarations>
	

	<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="720" maxWidth="1024">
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Item Nota Fiscal:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoItemNotaFiscal" styleName="labelValidacao" text="{ignAutoCompleteItemNotaFiscal.errorString}"/>
					<s:HGroup>
						<autoComplete:IgnAutoComplete idKeyName="id" palavraChave="id" id="ignAutoCompleteItemNotaFiscal" enviarArgumentos="true" destino="itemNotaFiscalService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.ItemNotaFiscal" tabEnabled="true" />  
						<s:Button id="buttonPesquisarItemNotaFiscal" width="30" label="..." click="buttonPesquisarItemNotaFiscal_clickHandler(event)"/>
						<s:Button id="buttonAdicionarItemNotaFiscal" width="30" label="+" click="buttonAdicionarItemNotaFiscal_clickHandler(event)"/>
					</s:HGroup>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Código CST/COFINS:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoCodigoCSTCOFINS" styleName="labelValidacao"  text="{ignTextInputIntegerCodigoCSTCOFINS.errorString}"/>
					<visual:IgnTextInputInteger id="ignTextInputIntegerCodigoCSTCOFINS" obrigatorio="true" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>

		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor Base Calc. COFINS:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoValorBaseCalcCOFINS" styleName="labelValidacao" text="{ignTextInputDoubleValorBaseCalcCOFINS.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleValorBaseCalcCOFINS" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Alíquota COFINS:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAliquotaCOFINS" styleName="labelValidacao" text="{ignTextInputDoubleAliquotaCOFINS.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleAliquotaCOFINS" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Qtd Vendida:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoQuantVendida" styleName="labelValidacao" text="{ignTextInputDoubleQuantVendida.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleQuantVendida" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Alíquota COFINS Valor:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAliquotaCOFINSValor" styleName="labelValidacao" text="{ignTextInputDoubleAliquotaCOFINSValor.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleAliquotaCOFINSValor" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor COFINS:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoValorCOFINS" styleName="labelValidacao" text="{ignTextInputDoubleValorCOFINS.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleValorCOFINS" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor Base Calc COFINS/ST:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoValorBaseCalcCOFINSST" styleName="labelValidacao" text="{ignTextInputDoubleValorBaseCalcCOFINSST.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleValorBaseCalcCOFINSST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Alíquota COFINS/ST:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAliquotaCOFINSST" styleName="labelValidacao" text="{ignTextInputDoubleAliquotaCOFINSST.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleAliquotaCOFINSST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Qtd Vendida COFINS/ST:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoQuanVendidaCOFINSST" styleName="labelValidacao" text="{ignTextInputDoubleQuanVendidaCOFINSST.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleQuanVendidaCOFINSST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Alíquota CONFINS Valor ST:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoAliquotaCONFINSValorST" styleName="labelValidacao" text="{ignTextInputDoubleAliquotaCONFINSValorST.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleAliquotaCONFINSValorST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
			<mx:GridItem styleName="gridLabel">
				<s:Label text="Valor COFINS/ST:"/>
			</mx:GridItem>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label id="labelValidacaoValorCOFINSST" styleName="labelValidacao" text="{ignTextInputDoubleValorCOFINSST.errorString}"/>
					<visual:IgnTextInputDouble id="ignTextInputDoubleValorCOFINSST" obrigatorio="false" listaValidadorForm="{this.listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>



		</mx:GridRow>		
		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Spacer/>
			</mx:GridItem>
		</mx:GridRow>		
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Button id="buttonSalvar" label="Salvar" click="buttonSalvar_clickHandler(event)"/>
				<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>